%define oname   actionmailer

Name:       ruby-%{oname}
Version:    2.3.14
Release:    %mkrel 1
Summary:    Service layer for easy email delivery and testing
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     actionmailer-2.3.11-use-system-gems.patch
BuildRequires: rubygems
BuildRequires: rubygem(activerecord) = %{version}
BuildRequires: rubygem(actionpack) = %{version}
BuildRequires: rubygem(rake)
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(ruby-debug)
BuildRequires: rubygem(tmail) >= 1.2.7
BuildRequires: rubygem(text-format)
BuildRequires: rubygem(rdoc)
Requires:   rubygem(tmail) >= 1.2.7
Requires:   rubygem(text-format)
BuildArch:  noarch

%description
Makes it trivial to test and deliver emails sent from a single service layer.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/action_mailer/vendor

%check
rake test

%clean
rm -rf %{buildroot}



%changelog

* Sat Oct 29 2011 shikamaru <shikamaru> 2.3.14-1.mga2
+ Revision: 159837
- new version 2.3.14
- new version 2.3.12

* Fri Mar 25 2011 shikamaru <shikamaru> 2.3.11-4.mga1
+ Revision: 77168
- fix typo, again
- fix typo
- use system text-format since we removed vendor/
- rename patch since we also remove vendorized text-format

* Sat Feb 26 2011 shikamaru <shikamaru> 2.3.11-3.mga1
+ Revision: 60185
- add missing BR
- add tmail as a buildrequire
- add patch to fix tmail require, use system tmail

* Sat Feb 19 2011 shikamaru <shikamaru> 2.3.11-2.mga1
+ Revision: 54143
- Really remove vendor/
- bump release
- add requires on text-format
- remove vendor

* Fri Feb 11 2011 shikamaru <shikamaru> 2.3.11-1.mga1
+ Revision: 50621
- new version 2.3.11

* Sat Jan 29 2011 shikamaru <shikamaru> 2.3.10-3.mga1
+ Revision: 43993
- Fix Buildrequires
- versioned requirements for rails related packages
- add mocha to the list
- Add check section
- add BR for test
- add check
- add require on tmail since we do not ship it in vendor/
- fix wrong group and wrong definition of BuildArch
- imported package ruby-actionmailer


* Thu Jan 20 2011 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-3mdv2011.0
- apply new ruby packaging policy

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-2mdv2011.0
+ Revision: 618288
- add provides to fix rails dependencies

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-1mdv2011.0
+ Revision: 585831
- bump release

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.9-1mdv2011.0
+ Revision: 579506
- new release: 2.3.9

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2010.0
+ Revision: 438622
- Update to new version 2.3.4

* Wed Jul 29 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2010.0
+ Revision: 404437
- Update to new version 2.3.3

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-1mdv2010.0
+ Revision: 385325
- Update to 2.1.2.

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2009.0
+ Revision: 269226
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214650
- new version 2.1.0

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151355
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.3.3-1mdv2008.0
+ Revision: 17585
- 1.3.3

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.5-2mdv2008.0
+ Revision: 16673
- ri is now in ri/ and not ri/ri/
- Use Development/Ruby group


* Thu Nov 16 2006 Olivier Blin <oblin@mandriva.com> 1.2.5-1mdv2007.0
+ Revision: 84942
- 1.2.5
- Import ruby-actionmailer

* Sat Jul 29 2006 Olivier Blin <blino@mandriva.com> 1.2.3-1mdv2007.0
- 1.2.3
- don't version requires

* Thu Feb 16 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.5-2mdk
- Fix Requires syntax

* Thu Feb 16 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.5-1mdk
- First Mandriva release

